List events
curl --request GET \
--url https://api.natural.com/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "event",
"id": "evt_0192abc1def2789034567890abcdef12",
"attributes": {
"eventType": "wallet.created",
"resourceId": "wal_00000000000000000000000000000001",
"resourceType": "wallet",
"payload": {
"object": {
"type": "wallet",
"id": "wal_00000000000000000000000000000001",
"attributes": {
"status": "active",
"walletType": "standard",
"isDefault": false,
"createdAt": "2026-03-16T12:00:00.000Z",
"displayName": "Wallet",
"description": null,
"tags": {
"environment": "production"
},
"balance": null,
"claims": {
"amount": 0,
"count": 0
},
"depositInstructions": null
},
"relationships": {
"party": {
"data": {
"type": "party",
"id": "pty_00000000000000000000000000000001"
}
}
},
"version": 1
}
},
"createdAt": "2026-03-16T12:00:00Z"
},
"relationships": {
"party": {
"data": {
"type": "party",
"id": "pty_00000000000000000000000000000001"
}
}
}
}
],
"meta": {
"pagination": {
"hasMore": false,
"nextCursor": null
}
}
}{
"errors": [
{
"code": "invalid_value",
"detail": "The information you entered isn't valid. Please check it and try again.",
"status": "400",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "unauthenticated",
"detail": "Authentication is required.",
"status": "401",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "forbidden",
"detail": "You do not have permission to perform this action.",
"status": "403",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "not_found",
"detail": "The requested resource was not found.",
"status": "404",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "conflict",
"detail": "The request conflicts with the current resource state.",
"status": "409",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "invalid_value",
"detail": "Too big: expected string to have <=80 characters",
"status": "422",
"source": {
"pointer": "/data/attributes/description"
},
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "mfa_required",
"detail": "MFA verification required",
"status": "428",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "rate_limited",
"detail": "Too many requests. Please try again later.",
"status": "429",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "server_error",
"detail": "Something went wrong.",
"status": "500",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "not_implemented",
"detail": "This operation is not available.",
"status": "501",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "bad_gateway",
"detail": "We couldn't complete that request because one of Natural's services returned an unexpected response. Please try again.",
"status": "502",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "service_unavailable",
"detail": "The service is temporarily unavailable.",
"status": "503",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}Events
List events
List events
GET
/
events
List events
Authorizations
Bearer authentication: send your API key, agent key, or OAuth access token as Authorization: Bearer <credential>.
Headers
Caller-chosen identifier for the agent run, session, or conversation, required when an agent moves money.
Maximum string length:
1024Query Parameters
Defaults to your party. To act for another party, pass the ID of a party that has authorized you to act on its behalf.
Pattern:
^pty_[0-9a-f]{32}$Filter by event type. Required when customerPartyId names another party.
Available options:
party.updated, compliance_case.updated, wallet.created, external_account.connected, agent_delegation_invitation.created, agent_delegation_invitation.accepted, agent_delegation_invitation.declined, agent_delegation_invitation.canceled, agent_delegation.revoked, delegation.activated, delegation.revoked, invitation_link.created, invitation_link.revoked, invitation_link.agent_added, invitation_link.agent_removed, invitation_link.redeemed, deposit.created, deposit.completed, deposit.failed, deposit.returned, deposit.canceled, deposit.approval_denied, withdrawal.created, withdrawal.completed, withdrawal.failed, withdrawal.returned, withdrawal.canceled, withdrawal.approval_denied, payment.created, payment.completed, payment.failed, payment.returned, payment.canceled, payment.approval_denied, ach.created, ach.processing, ach.settled, ach.failed, ach.returned, realtime.created, realtime.processing, realtime.settled, realtime.failed, wire.created, wire.processing, wire.completed, wire.rejected, wire.failed, check.created, check.processing, check.completed, check.returned, check.canceled, check.expired, check.rejected, check.failed, check.returned_to_sender, external_party_account.validated, approval.required, approval.approved, approval.denied, approval.canceled, payment_request.created, payment_request.completed, payment_request.canceled, payment_request.declined, payment_request.incoming, paymentIntent.completed, cardPayment.succeeded, cardPayment.failed, paymentIntent.canceled, cardPayment.created, voiceSession.completed, refund.created, refund.succeeded, refund.failed, chargeback.created, chargeback.updated, chargeback.closed, enrollment.applied, enrollment.activated, enrollment.rejected, enrollment.offboarded, mandate.created, mandate.updated, mandate.revoked Only events created after this RFC 3339 timestamp (exclusive).
Maximum string length:
64Only events created before this RFC 3339 timestamp (exclusive).
Maximum string length:
64Cursor from the previous page.
Maximum string length:
1024Maximum results per page.
Required range:
1 <= x <= 100Was this page helpful?